*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}
body{
    background: rgba(0, 0, 0, 0.6);
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100vh;
    font-family: sans-serif;
}
.container{
    max-width: 600px;
    width: 100%;
    padding: 2rem;
    background: white;
    border-radius: 6px;
    margin: 1rem;
}
form h2{
    width: 100%;
    text-align: center;
    color: black;
    text-transform: capitalize;
    font-size: 25px;
    font-weight: 900;
    margin-bottom: 30px;
}
.form__message{
    text-align: center;
    margin-bottom: 1rem;
}
.form__message--success{
    color: green;
}
.form__message--error{
    color: red;
}
form .form-input-box{
    margin-bottom: 20px;
}
form .form-input-box input{
    display: block;
    width: 100%;
    padding: 15px 10px;
    background: whitesmoke;
    border: 1px solid #ddd;
    outline: none;
    border-radius: 4px;
    font-size: 19px;
    color: black;
    transition: 0.5s ease-in;
}
form .form-input-box input:focus{
    border: 2px solid green;
    background: white;
    color: black;
}
.form-input-box .form__input--error{
    background: black;
    color: crimson;
    border-color: red;
}
form .form-input-box .form__input-error-message{
    color: crimson;
    font-weight: 500;
    margin-top: 10px;
    
}
form .button{
    margin-top: 20px;
    margin-bottom: 5px;
}
.button button{
    width: 100%;
    padding: 10px 40px;
    text-align: center;
    background: green;
    border: none;outline: none;
    color: white;
    font-size: 25px;
    font-weight: 400;
    border-radius: 5px;
    text-transform: capitalize;
    cursor: pointer;
    transition: 0.5s ease;
}
.button button:hover{
    background: darkgreen;
}
.button button:active{
    transform: scale(0.98);
}
form .text{
    color: black;
    text-align: center;
    margin-top: 20px;
    width: 100%;
}
.text a, .text span{
    text-decoration: none;
    font-size: 17px;
    font-weight: 500;
    color: black;
}
.text a{
    cursor: pointer;
}
.text span{
    color: crimson;
}
.text a:hover{
    text-decoration: underline;
}
.text .span:hover{
    text-decoration: none;
}

.form-hidden{
    display: none;
}
.form-visible{
    display: block;
}
.text .blue{
    color: blue;
}